# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.analytics
Class AccountEntry

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.BaseEntry<AccountEntry>
                  com.google.gdata.data.analytics.AccountEntry

All Implemented Interfaces:
  Extension, IAtom, IEntry, Kind.Adaptable, Kind.Adaptor

    public class AccountEntry

extends BaseEntry<AccountEntry>

Entry element for account feed.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.BaseEntry
`BaseEntry.AtomHandler, BaseEntry.EntryState`

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary

Fields inherited from class com.google.gdata.data.BaseEntry
`state`

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`AccountEntry()` Default mutable constructor.
`AccountEntry(BaseEntry<?> sourceEntry)` Constructs a new instance by doing a shallow copy of data from an existing `BaseEntry` instance.

Method Summary
`void` `addCustomVariable(CustomVariable customVariable)` Adds a new custom variable.
`void` `addGoal(Goal goal)` Adds a new goal.
`void` `addProperty(Property property)` Adds a new property.
`void` `declareExtensions(ExtensionProfile extProfile)` Declares the set of expected Extension types for an ExtensionPoint within the target extension profile.
`java.util.List<CustomVariable>` `getCustomVariables()` Returns the custom variables.
`java.util.List<Goal>` `getGoals()` Returns the goals.
`java.util.List<Property>` `getProperties()` Returns the properties.
`java.lang.String` `getProperty(java.lang.String name)` Returns the value of the named property of this entry.
`TableId` `getTableId()` Returns the data source ID.
`boolean` `hasCustomVariables()` Returns whether it has the custom variables.
`boolean` `hasGoals()` Returns whether it has the goals.
`boolean` `hasProperties()` Returns whether it has the properties.
`boolean` `hasTableId()` Returns whether it has the data source ID.
`void` `setTableId(TableId tableId)` Sets the data source ID.
`java.lang.String` `toString()`
`protected void` `validate()` Checks the attributes to see if there are any problems.

Methods inherited from class com.google.gdata.data.BaseEntry

`addAdaptor, addHtmlLink, addLink, addLink, delete, generate, generateAtom, generateRss, getAdaptedEntry, getAdaptor, getAdaptors, getAuthors, getCanEdit, getCategories, getContent, getContentHandlerInfo, getContributors, getEdited, getEditLink, getEtag, getHandler, getHtmlLink, getId, getKind, getLink, getLinks, getLinks, getMediaEditLink, getPlainTextContent, getPubControl, getPublished, getResumableEditMediaLink, getRights, getSelectedFields, getSelf, getSelfLink, getService, getSource, getSummary, getTextContent, getTitle, getUpdated, getVersionId, isDraft, parseAtom, parseAtom, parseAtom, readEntry, readEntry, removeLinks, removeLinks, setCanEdit, setContent, setContent, setDraft, setEdited, setEtag, setId, setKind, setPubControl, setPublished, setRights, setSelectedFields, setService, setSource, setSummary, setTitle, setUpdated, setVersionId, update, visitChildren`

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AccountEntry

    public AccountEntry()

  Default mutable constructor.

### AccountEntry

    public AccountEntry(BaseEntry<?> sourceEntry)

  Constructs a new instance by doing a shallow copy of data from an existing `BaseEntry` instance.

  Parameters:
    `sourceEntry` - source entry

Method Detail

### declareExtensions

    public void declareExtensions(ExtensionProfile extProfile)

  Description copied from class: `ExtensionPoint`
  Declares the set of expected Extension types for an ExtensionPoint within the target extension profile. The base implementation does not declare any extensions, but can be overridden by specific types of ExtensionPoints that always contain a well-defined set of extensions.

  Specified by:
    `declareExtensions` in interface `Kind.Adaptor`
  Overrides:
    `declareExtensions` in class `ExtensionPoint`
  Parameters:
    `extProfile` - the ExtensionProfile to initialize.
  See Also:
    `ExtensionProfile.addDeclarations(Kind.Adaptor)`

### getCustomVariables

    public java.util.List<CustomVariable> getCustomVariables()

  Returns the custom variables.

  Returns:
    custom variables

### addCustomVariable

    public void addCustomVariable(CustomVariable customVariable)

  Adds a new custom variable.

  Parameters:
    `customVariable` - custom variable

### hasCustomVariables

    public boolean hasCustomVariables()

  Returns whether it has the custom variables.

  Returns:
    whether it has the custom variables

### getGoals

    public java.util.List<Goal> getGoals()

  Returns the goals.

  Returns:
    goals

### addGoal

    public void addGoal(Goal goal)

  Adds a new goal.

  Parameters:
    `goal` - goal

### hasGoals

    public boolean hasGoals()

  Returns whether it has the goals.

  Returns:
    whether it has the goals

### getProperties

    public java.util.List<Property> getProperties()

  Returns the properties.

  Returns:
    properties

### addProperty

    public void addProperty(Property property)

  Adds a new property.

  Parameters:
    `property` - property

### hasProperties

    public boolean hasProperties()

  Returns whether it has the properties.

  Returns:
    whether it has the properties

### getTableId

    public TableId getTableId()

  Returns the data source ID.

  Returns:
    data source ID

### setTableId

    public void setTableId(TableId tableId)

  Sets the data source ID.

  Parameters:
    `tableId` - data source ID or `null` to reset

### hasTableId

    public boolean hasTableId()

  Returns whether it has the data source ID.

  Returns:
    whether it has the data source ID

### validate

    protected void validate()

  Description copied from class: `AbstractExtension`
  Checks the attributes to see if there are any problems. Default implementation does nothing, though generally this is discouraged unless there really are no restrictions.

  Overrides:
    `validate` in class `AbstractExtension`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getProperty

    public java.lang.String getProperty(java.lang.String name)

  Returns the value of the named property of this entry. More specifically, it returns the content of the `value` attribute of the `dxp:property` whose `name` attribute matches the argument. Returns `null` if no such property exists.

  Parameters:
    `name` - the property to retrieve from this entry
  Returns:
    string value of the named property or null if it doesn't exist